import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
export declare class DrivePickerHostUntrustedAppElement extends CrLitElement {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    private browserProxy_;
    private drivePickerApiProxy_;
    private resultHandler_;
    private listenerIds_;
    private handshakeTimeoutId_;
    private port_;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    connectedCallback(): void;
    disconnectedCallback(): void;
    private showDrivePicker_;
    private loadConsentKitUrl_;
    private clearHandshakeTimeout_;
    private handleConsentKitMessage_;
    private decodeAndSendBase64Proto_;
    private handleConsentKitPortMessage_;
    /**
     * Reports a flow error and resets the result handler.
     */
    private reportError_;
}
declare global {
    interface HTMLElementTagNameMap {
        'drive-picker-host-untrusted-app': DrivePickerHostUntrustedAppElement;
    }
}
